# Interface ICUCorrectionProposal

All Known Implementing Classes:
  `ASTRewriteCorrectionProposal, CUCorrectionProposal, CUCorrectionProposalCore`

public interface ICUCorrectionProposal

Since:
  1.11

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.ltk.core.refactoring.TextChange`
`getTextChange()`
Returns the text change that is invoked when the change is applied.

## Method Details

### getTextChange

org.eclipse.ltk.core.refactoring.TextChange getTextChange() throws org.eclipse.core.runtime.CoreException
Returns the text change that is invoked when the change is applied.

Returns:
  the text change that is invoked when the change is applied
Throws:
  `org.eclipse.core.runtime.CoreException` - if accessing the change failed